Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util.text
Class ChoiceFieldPart

    java.lang.Object
      org.apache.fop.util.text.ChoiceFieldPart

All Implemented Interfaces:
  AdvancedMessageFormat.Part

    public class ChoiceFieldPart

extends java.lang.Object
implements AdvancedMessageFormat.Part

Defines a "choice" field part that works like `ChoiceFormat`.

Nested Class Summary
`static class` | `ChoiceFieldPart.Factory` Factory for ChoiceFieldPart.

Constructor Summary
`ChoiceFieldPart(java.lang.String fieldName, java.lang.String choicesPattern)` Creates a new choice part.

Method Summary
`boolean` | `isGenerated(java.util.Map params)` Indicates whether there is any content that is generated by this message part.
`java.lang.String` | `toString()`
`void` | `write(java.lang.StringBuffer sb, java.util.Map params)` Writes the formatted part to a string buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChoiceFieldPart

    public ChoiceFieldPart(java.lang.String fieldName,
                           java.lang.String choicesPattern)

  Creates a new choice part.

  Parameters:
    `fieldName` - the field name to work on
    `choicesPattern` - the choices pattern (as used by `ChoiceFormat`)

Method Detail

### isGenerated

    public boolean isGenerated(java.util.Map params)

  Indicates whether there is any content that is generated by this message part.

  Specified by:
    `isGenerated` in interface `AdvancedMessageFormat.Part`
  Parameters:
    `params` - the parameters to work with
  Returns:
    true if the part has content

### write

    public void write(java.lang.StringBuffer sb,
                      java.util.Map params)

  Writes the formatted part to a string buffer.

  Specified by:
    `write` in interface `AdvancedMessageFormat.Part`
  Parameters:
    `sb` - the target string buffer
    `params` - the parameters to work with

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.